#include <iostream>
#include <algorithm>
#include <cmath>
#include <string>
#define ll       long long
#define endl     "\n"
using namespace std;
ll z[10003][10003];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    ll i, n, m, a, b;
    cin >> n >> m;
    for (i = 0; i < n; i++)
    {
        cin >> a >> b;
        z[a][b] = 1;
    }
    cout << "NO";
    return 0;
}

